freemarker.template.utility

## Class ToCanonical

- java.lang.Object
- - freemarker.template.utility.ToCanonical

Deprecated.
Will be removed (main method in a library, often classified as CWE-489 "Leftover Debug Code").

    @Deprecated
    public class ToCanonical
    extends Object

Read in a template and convert it to a canonical format.

### Constructor Summary

Constructors
Constructor and Description
`ToCanonical()` Deprecated.

### Method Summary

All Methods Static Methods Concrete Methods Deprecated Methods
`static void` `main(String[] args)` Deprecated. Will be removed (main method in a library, often classified as CWE-489 "Leftover Debug Code").

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ToCanonical

    public ToCanonical()

Deprecated.

### Method Detail

#### main

    @Deprecated
    public static void main(String[] args)

Deprecated. Will be removed (main method in a library, often classified as CWE-489 "Leftover Debug Code").